/*
 * User Mode Sandbox for Grid
 * Copyright (C) 2004 Tangui Morlier
 * Copyright (C) 2004 Grand-Large (INRIA Futurs)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef SANDBOX_H
#define SANDBOX_H
#include <sys/ptrace.h>
#include <sys/wait.h>
#include "common.h"
#include "sandboxRules.h"

/**
 * sandboxIt(char * process_name)
 *
 * This function execute the sandbox
 * Ptrace must be previously attached to the sandboxed process
 *
 * process_name: the name of the sandboxed application 
 *       It will be used in the error messages
 */
int sandboxIt(char* process_name);

#endif //SANDBOX_H
